## org.codehaus.groovy.tools.groovydoc
Class MockOutputTool

Field Summary
`Map` | `output`
`Set` | `outputAreas`

Constructor Summary
`MockOutputTool()`

Method Summary
`String` | `getText(String fileName)`
`boolean` | `isValidOutputArea(String fileName)`
`void` | `makeOutputArea(String filename)`
`String` | `toString()`
`void` | `writeToOutput(String fileName, String text)`

Constructor Detail

### MockOutputTool

    public MockOutputTool()

Method Detail

### getText

    public String getText(String fileName)

### isValidOutputArea

    public boolean isValidOutputArea(String fileName)

### makeOutputArea

    public void makeOutputArea(String filename)

### toString

    public String toString()

### writeToOutput

    public void writeToOutput(String fileName, String text)